//
// Created by robin on 6/27/15.
//

#include <stdlib.h>
#include <string.h>

ScByteArray::ScByteArray()
    : _size(0)
    , _data(nullptr)
{
}

ScByteArray::ScByteArray(BYTE * const data, const DWORD size)
        : _data(data)
        , _size(size)
{
}

ScByteArray::ScByteArray(const ScByteArray &data)
{
    _size = data._size;
    _data = (BYTE*)memcpy(malloc(_size), data._data, _size);
}

ScByteArray::~ScByteArray()
{
    delete[] _data;
}

BYTE* ScByteArray::getData() const
{
    return _data;
}
